Bug 891920 - openstack-nova-novncproxy should not depend on openstack-nova [NEEDINFO]
Summary: openstack-nova-novncproxy should not depend on openstack-nova
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: novnc
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eoghan Glynn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-04 13:30 UTC by Paulo de Rezende Pinatti
Modified: 2018-07-02 16:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-02 16:21:46 UTC
apevec: needinfo? (ndipanov)


Attachments (Terms of Use)
Dist-git patch (1.87 KB, patch)
2013-03-19 10:48 UTC, Nikola Dipanov
pbrady: review+
Details | Diff

Description Paulo de Rezende Pinatti 2013-01-04 13:30:32 UTC
Currently the package openstack-nova-novncproxy depends on openstack-nova which forces the installation of compute packages like openstack-nova-compute and libvirt, but this isn't necessary. From the Openstack Manual (http://docs.openstack.org/folsom/openstack-compute/admin/content/typical-deployment.html) in a typical simple deployment the nova-novncproxy service can run in the same machine as the nova-api, separately from the compute nodes. The openstack-nova dependency should be replaced by python-nova.

Comment 1 Nikola Dipanov 2013-03-19 10:48:26 UTC
Created attachment 712557 [details]
Dist-git patch

Comment 2 Nikola Dipanov 2013-03-19 10:49:21 UTC
Actually the dependancy is moved to just be openstack-nova-common subpackage of openstack-nova.

Comment 3 Alan Pevec 2013-07-08 19:32:51 UTC
Was https://admin.fedoraproject.org/updates/novnc-0.4-5.el6 but build expired, please rebuild.

Comment 4 Fedora Update System 2015-01-26 20:35:58 UTC
novnc-0.4-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/novnc-0.4-9.el6

Comment 5 Fedora Update System 2015-02-14 02:54:52 UTC
novnc-0.4-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.